Loading...
Searching...
No Matches
Dune::SuperMatrixInitializer< BCRSMatrix< B, A > > Class Template Reference

`#include <dune/istl/supermatrix.hh>`

Inheritance diagram for Dune::SuperMatrixInitializer< BCRSMatrix< B, A > >:

## Public Types

typedef BCRSMatrix< B, A > | Matrix
typedef Dune::SuperLUMatrix< Matrix > | SuperLUMatrix

## Public Member Functions

| SuperMatrixInitializer (SuperLUMatrix &lum)
| SuperMatrixInitializer ()
void | createMatrix () const override

## Friends

template<class I, class S, class D>
class | OverlappingSchwarzInitializer

## Member Typedef Documentation

## Matrix

template<class B, class A>

typedef BCRSMatrix<B,A> Dune::SuperMatrixInitializer< BCRSMatrix< B, A > >::Matrix

## SuperLUMatrix

template<class B, class A>

typedef Dune::SuperLUMatrix<Matrix> Dune::SuperMatrixInitializer< BCRSMatrix< B, A > >::SuperLUMatrix

## Constructor & Destructor Documentation

## SuperMatrixInitializer() [1/2]

template<class B, class A>

Dune::SuperMatrixInitializer< BCRSMatrix< B, A > >::SuperMatrixInitializer | ( | SuperLUMatrix & | lum | ) |

inline

## SuperMatrixInitializer() [2/2]

template<class B, class A>

Dune::SuperMatrixInitializer< BCRSMatrix< B, A > >::SuperMatrixInitializer | ( |  | ) |

inline

## Member Function Documentation

## createMatrix()

template<class B, class A>

void Dune::SuperMatrixInitializer< BCRSMatrix< B, A > >::createMatrix | ( |  | ) | const

inline override

## Friends And Related Symbol Documentation

## OverlappingSchwarzInitializer

template<class B, class A>
template<class I, class S, class D>

friend class OverlappingSchwarzInitializer

friend

The documentation for this class was generated from the following file:

- supermatrix.hh